
QGIS Application - Bug report #1311

Zoom to a single point causes the program to freeze

2008-09-11 09:05 AM - zachariahyoder -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11371

Description

Rather than simply doing nothing, when I select a single point and choose "zoom to selection" the CPU goes to 100% and the program

freezes.

Logically the user shouldn't want to zoom to a single point (except when he*'s found the point using the database Table find feature)

Related to #80 (and also #651 and #154).

    -  "he" used in the old gender neutral sense

Associated revisions

Revision 9eec5dd8 - 2009-07-01 12:27 PM - Jürgen Fischer

fix #1311

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10994 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 40650bbb - 2009-07-01 12:27 PM - Jürgen Fischer

fix #1311

git-svn-id: http://svn.osgeo.org/qgis/trunk@10994 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-14 11:29 PM - Marco Hugentobler

What is the version you are using? It seems to me that this problem is fixed in current svn trunk (tested on Linux, but seems to be very unlikely that this is

platform specific).

#2 - 2008-09-15 03:18 AM - zachariahyoder -

I am testing on version 0.11.0 (and also 0.10.0).

I agree that it seems like a bug like this would affect all platforms, but I'm afraid at the moment I can only report what I am experiencing.

It is difficult for me to download large (70+MB) files where I work, but let me know if you want me to try with any other version.
#3 - 2008-10-22 10:46 AM - Magnus Homann

- Status changed from Open to In Progress

Do you have rasters loaded in your canvas when you do this selection. For me, that makes the computer freeze for a while. This is due to the fact that

zooming ratsers can be really slow sometimes.

If in fact you do not have any rasters loaded, we're back to square #3905.

#4 - 2008-11-10 08:16 AM - zachariahyoder -

No, I don't have any rasters loaded. However, I do have a shape with a dash-dot outline style surrounding the point.

In the attached file the problem DOES NOT occur:

 a) If you zoom to "Point A" which is not within a polygon

 b) If you zoom to "Point D" while the outline style for the [[ExamplePolygon]] is solid line

However, if 

 a) you select "Point D" 

 AND b) you choose "zoom to selection" 

 WHILE c) the outline style for [[ExamplePolygon]] is "dash dot line"

The CPU goes to 100% and (for me) never comes back out again, and I have to force the program to close. (But maybe my computer isn't fast enough or

I'm not patient enough)

I suspect #1344 may be related to this.

Note: [[ExamplePolygon]] refers to an attached file, not the reference it wants to automatically link to.

#5 - 2009-04-05 01:02 AM - Paolo Cavallini

Is this still valid? I have tested it rather extensively, and it never occurred to me: can we colse it down?

#6 - 2009-04-08 10:38 AM - Paolo Cavallini

- Status changed from In Progress to Closed

- Resolution set to fixed

In the absence of further confirmation, I'm closing it down. Please reopen it if appropriate.

#7 - 2009-07-01 01:47 AM - Giovanni Manghi

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Unfortunately I have to re-open this ticket, as I confirm this behaviour under Windows. I tested qgis Qgis 1.2 (rev. 10972M) installed from OSGeo4W under

windows XP Professional.
I tested with the provided vectors and also with others made on purpose.

Pick a polygon and a point layer with a one or more points overlapping the polygon. Change the symbology of the outline of the polygon to something

different from "solid line". Select a point that overlaps the polygon and then "zoom to selection".

Result is: QGIS freezes.

This don't happens (at least) with QGIS > 1.1 under Ubuntu 9.04

#8 - 2009-07-01 01:48 AM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2009-07-01 03:28 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:40650bbb (SVN r10995)

Files

ExampleZoomError.zip 4.57 KB 2008-11-10 zachariahyoder -
